Name:		naludump
Summary:	Tool to delete NALU fill data from h.264 streams
Version:	0.1.1
Release:	1emp1
URL:		http://www.udo-richter.de/vdr/naludump.html
Source0:	naludump-%{version}.tgz
License:	GPL-2.0
Group:		Productivity/Multimedia/Video/Editors and Convertors
BuildRequires:	gcc-c++
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Naludump is a tool to delete NALU fill data from h.264 streams embedded into TS files.
The overall file structure isn't modified, only complete TS packets of NALU fill data are removed.

Naludump contains lots of code of Klaus Schmidinger's VDR,
and is based on cocepts from Marten Richter's Nalustripper.

%prep

%setup

%build
export CXXFLAGS="%{optflags} -Woverloaded-virtual -Wno-parentheses"
make

%install
install -D -m 755 naludump %{buildroot}%{_bindir}/naludump

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/naludump
%doc COPYING README

%changelog
